<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__clk__hf__funcs" kind="group">
    <compoundname>group_sysclk_clk_hf_funcs</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__hf__funcs_1gaaa461cfa69f6d1b94536d4fbdc73fae9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_ClkHfEnable</definition>
        <argsstring>(uint32_t clkHf)</argsstring>
        <name>Cy_SysClk_ClkHfEnable</name>
        <param>
          <type>uint32_t</type>
          <declname>clkHf</declname>
        </param>
        <briefdescription>
<para>Enables the selected clkHf. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clkHf</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects which clkHf to enable.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref> CY_SYSCLK_INVALID_STATE - ECO already enabled For the PSoC 64 devices there are possible situations when function returns the PRA error status code. This is because for PSoC 64 devices the function uses the PRA driver to change the protected registers. Refer to <ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref> for more details.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />ECO<sp />needs<sp />to<sp />source<sp />HFCLK2<sp />through<sp />Path<sp />2.<sp />The<sp />ECO<sp />is</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />configured<sp />through<sp />its<sp />function<sp />calls.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />CLKPATH2<sp />(2UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />HFCLK2<sp />(2UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkPathMuxFreq<sp />=<sp />0UL;<sp /></highlight><highlight class="comment">/*<sp />Variable<sp />to<sp />store<sp />the<sp />Clock<sp />Path<sp />Mux<sp />output<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />clock<sp />path<sp />2<sp />mux<sp />to<sp />be<sp />sourced<sp />from<sp />ECO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__returns_1ggad6699a184e2e3c01433251b0981558f3a1563f761f963757b339ff05eb5a690ec">CY_SYSCLK_SUCCESS</ref><sp />==<sp /><ref kindref="member" refid="group__group__sysclk__path__src__funcs_1ga517f603266062d0013947ea950ed5b60">Cy_SysClk_ClkPathSetSource</ref>(CLKPATH2,<sp /><ref kindref="member" refid="group__group__sysclk__path__src__enums_1gga8ddaf9023a02dee0d1f9a5629d6ccfe6a28f5ad80fd20d8459d40aa8b86d3a77e">CY_SYSCLK_CLKPATH_IN_ECO</ref>))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />clkPathMuxFreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__path__src__funcs_1ga1256c8a7290cecf2b9553a1df582e797">Cy_SysClk_ClkPathMuxGetFrequency</ref>(CLKPATH2);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Now<sp />clkPathMuxFreq<sp />contains<sp />the<sp />Clock<sp />Path<sp />Mux<sp />output<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Perform<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />HFCLK2<sp />source<sp />to<sp />clock<sp />path<sp />2<sp />and<sp />enable<sp />HFCLK2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga4d090b2e9716939fe4689fac77b05679">Cy_SysClk_ClkHfSetSource</ref>(HFCLK2,<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a7a35a9d5b37d1add71bd6f866953366e">CY_SYSCLK_CLKHF_IN_CLKPATH2</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />HFCLK2<sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gaaa461cfa69f6d1b94536d4fbdc73fae9">Cy_SysClk_ClkHfEnable</ref>(HFCLK2);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2176" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2162" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2133" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__hf__funcs_1ga90af05d8e5639f9b6222951ec078b179" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysClk_ClkHfIsEnabled</definition>
        <argsstring>(uint32_t clkHf)</argsstring>
        <name>Cy_SysClk_ClkHfIsEnabled</name>
        <param>
          <type>uint32_t</type>
          <declname>clkHf</declname>
        </param>
        <briefdescription>
<para>Reports the Enabled/Disabled status of clkHf. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clkHf</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects which clkHf to check.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Boolean status of clkHf: true - Enabled, false - Disabled.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />HFCLK1<sp />is<sp />no<sp />longer<sp />required<sp />in<sp />the<sp />application<sp />and<sp />can<sp />be</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />switched<sp />off.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp />Note:<sp /><sp /><sp /><sp /><sp />HFCLK0<sp />cannot<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />HFCLK1<sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga90af05d8e5639f9b6222951ec078b179">Cy_SysClk_ClkHfIsEnabled</ref>(HFCLK1))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disable<sp />HFCLK1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga5d84c32d84778dc99dcf38514ca73a80">Cy_SysClk_ClkHfDisable</ref>(HFCLK1);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2201" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2193" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2134" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__hf__funcs_1ga5d84c32d84778dc99dcf38514ca73a80" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_ClkHfDisable</definition>
        <argsstring>(uint32_t clkHf)</argsstring>
        <name>Cy_SysClk_ClkHfDisable</name>
        <param>
          <type>uint32_t</type>
          <declname>clkHf</declname>
        </param>
        <briefdescription>
<para>Disables the selected clkHf. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clkHf</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects which clkHf to enable.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;clkHf[0] cannot be disabled.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />HFCLK1<sp />is<sp />no<sp />longer<sp />required<sp />in<sp />the<sp />application<sp />and<sp />can<sp />be</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />switched<sp />off.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp />Note:<sp /><sp /><sp /><sp /><sp />HFCLK0<sp />cannot<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />HFCLK1<sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga90af05d8e5639f9b6222951ec078b179">Cy_SysClk_ClkHfIsEnabled</ref>(HFCLK1))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disable<sp />HFCLK1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga5d84c32d84778dc99dcf38514ca73a80">Cy_SysClk_ClkHfDisable</ref>(HFCLK1);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2234" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2220" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2135" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__hf__funcs_1ga4d090b2e9716939fe4689fac77b05679" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_ClkHfSetSource</definition>
        <argsstring>(uint32_t clkHf, cy_en_clkhf_in_sources_t source)</argsstring>
        <name>Cy_SysClk_ClkHfSetSource</name>
        <param>
          <type>uint32_t</type>
          <declname>clkHf</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref></type>
          <declname>source</declname>
        </param>
        <briefdescription>
<para>Selects the source of the selected clkHf. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clkHf</parametername>
</parameternamelist>
<parameterdescription>
<para>selects which clkHf mux to configure.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>source</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref> CY_SYSCLK_INVALID_STATE - ECO already enabled For the PSoC 64 devices there are possible situations when function returns the PRA error status code. This is because for PSoC 64 devices the function uses the PRA driver to change the protected registers. Refer to <ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref> for more details.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Call &lt;a href="group__group__system__config__system__functions.html#group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f"&gt;SystemCoreClockUpdate&lt;/a&gt; after this function calling if it affects the CLK_HF0 frequency.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Call &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9"&gt;Cy_SysLib_SetWaitStates&lt;/a&gt; before calling this function if CLK_HF0 frequency is increasing.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Call &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9"&gt;Cy_SysLib_SetWaitStates&lt;/a&gt; after calling this function if CLK_HF0 frequency is decreasing.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />HFCLK1<sp />source<sp />may<sp />have<sp />been<sp />updated<sp />to<sp />Path<sp />0<sp />somewhere<sp />in<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />application.<sp />Check<sp />if<sp />it<sp />was<sp />and<sp />change<sp />the<sp />source<sp />to<sp />Path<sp />1.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6ab67e691f04cd3aecb2a4cbf8bbd5b787">CY_SYSCLK_CLKHF_IN_CLKPATH0</ref><sp />==<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga2b8da7c11fcfdd0f02248df7535a50e6">Cy_SysClk_ClkHfGetSource</ref>(1UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />HFCLK1<sp />source<sp />to<sp />Path<sp />1<sp />clock<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga5d84c32d84778dc99dcf38514ca73a80">Cy_SysClk_ClkHfDisable</ref>(1UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga4d090b2e9716939fe4689fac77b05679">Cy_SysClk_ClkHfSetSource</ref>(1UL,<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a69197ee41c916c6e61d81dbe9be1825f">CY_SYSCLK_CLKHF_IN_CLKPATH1</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gaaa461cfa69f6d1b94536d4fbdc73fae9">Cy_SysClk_ClkHfEnable</ref>(1UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2287" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2270" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2136" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__hf__funcs_1ga2b8da7c11fcfdd0f02248df7535a50e6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref></type>
        <definition>__STATIC_INLINE cy_en_clkhf_in_sources_t Cy_SysClk_ClkHfGetSource</definition>
        <argsstring>(uint32_t clkHf)</argsstring>
        <name>Cy_SysClk_ClkHfGetSource</name>
        <param>
          <type>uint32_t</type>
          <declname>clkHf</declname>
        </param>
        <briefdescription>
<para>Reports the source of the selected clkHf. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clkHf</parametername>
</parameternamelist>
<parameterdescription>
<para>selects which clkHf to get the source of.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />HFCLK1<sp />source<sp />may<sp />have<sp />been<sp />updated<sp />to<sp />Path<sp />0<sp />somewhere<sp />in<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />application.<sp />Check<sp />if<sp />it<sp />was<sp />and<sp />change<sp />the<sp />source<sp />to<sp />Path<sp />1.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6ab67e691f04cd3aecb2a4cbf8bbd5b787">CY_SYSCLK_CLKHF_IN_CLKPATH0</ref><sp />==<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga2b8da7c11fcfdd0f02248df7535a50e6">Cy_SysClk_ClkHfGetSource</ref>(1UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />HFCLK1<sp />source<sp />to<sp />Path<sp />1<sp />clock<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga5d84c32d84778dc99dcf38514ca73a80">Cy_SysClk_ClkHfDisable</ref>(1UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga4d090b2e9716939fe4689fac77b05679">Cy_SysClk_ClkHfSetSource</ref>(1UL,<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggabac2d6b9124a00860dcd781a922788d6a69197ee41c916c6e61d81dbe9be1825f">CY_SYSCLK_CLKHF_IN_CLKPATH1</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gaaa461cfa69f6d1b94536d4fbdc73fae9">Cy_SysClk_ClkHfEnable</ref>(1UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2308" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2304" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2137" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__hf__funcs_1gaade248ee5bfe97dbc0ae1629e7e46ed9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_ClkHfSetDivider</definition>
        <argsstring>(uint32_t clkHf, cy_en_clkhf_dividers_t divider)</argsstring>
        <name>Cy_SysClk_ClkHfSetDivider</name>
        <param>
          <type>uint32_t</type>
          <declname>clkHf</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref></type>
          <declname>divider</declname>
        </param>
        <briefdescription>
<para>Sets the pre-divider for a clkHf. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clkHf</parametername>
</parameternamelist>
<parameterdescription>
<para>selects which clkHf divider to configure.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>divider</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref> CY_SYSCLK_INVALID_STATE - ECO already enabled For the PSoC 64 devices there are possible situations when function returns the PRA error status code. This is because for PSoC 64 devices the function uses the PRA driver to change the protected registers. Refer to <ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref> for more details.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Also call &lt;a href="group__group__sysclk__clk__hf__funcs.html#group__group__sysclk__clk__hf__funcs_1ga4d090b2e9716939fe4689fac77b05679"&gt;Cy_SysClk_ClkHfSetSource&lt;/a&gt; to set the clkHf source.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Call &lt;a href="group__group__system__config__system__functions.html#group__group__system__config__system__functions_1gae0c36a9591fe6e9c45ecb21a794f0f0f"&gt;SystemCoreClockUpdate&lt;/a&gt; after this function calling if it affects the CLK_HF0 frequency.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Call &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9"&gt;Cy_SysLib_SetWaitStates&lt;/a&gt; before calling this function if CLK_HF0 frequency is increasing.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Call &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9"&gt;Cy_SysLib_SetWaitStates&lt;/a&gt; after calling this function if CLK_HF0 frequency is decreasing.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Set<sp />HFCLK0<sp />divider<sp />to<sp />8,<sp />to<sp />reduce<sp />frequency<sp />and<sp />save<sp />power<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4ab24eafa784b1cc50c94072e6be0dd4b8">CY_SYSCLK_CLKHF_DIVIDE_BY_8</ref><sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga9c16b928723eaf3260e47686624582f2">Cy_SysClk_ClkHfGetDivider</ref>(0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />HFCLK0<sp />divider<sp />to<sp />8<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gaade248ee5bfe97dbc0ae1629e7e46ed9">Cy_SysClk_ClkHfSetDivider</ref>(0UL,<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4ab24eafa784b1cc50c94072e6be0dd4b8">CY_SYSCLK_CLKHF_DIVIDE_BY_8</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />HFCLK0<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkHf0freq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gafa8c21271b8cb1b1fd9f7fb489a8d2b3">Cy_SysClk_ClkHfGetFrequency</ref>(0UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2363" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2346" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2138" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__hf__funcs_1ga9c16b928723eaf3260e47686624582f2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref></type>
        <definition>__STATIC_INLINE cy_en_clkhf_dividers_t Cy_SysClk_ClkHfGetDivider</definition>
        <argsstring>(uint32_t clkHf)</argsstring>
        <name>Cy_SysClk_ClkHfGetDivider</name>
        <param>
          <type>uint32_t</type>
          <declname>clkHf</declname>
        </param>
        <briefdescription>
<para>Reports the pre-divider value for a clkHf. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clkHf</parametername>
</parameternamelist>
<parameterdescription>
<para>selects which clkHf to check divider of.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Set<sp />HFCLK0<sp />divider<sp />to<sp />8,<sp />to<sp />reduce<sp />frequency<sp />and<sp />save<sp />power<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4ab24eafa784b1cc50c94072e6be0dd4b8">CY_SYSCLK_CLKHF_DIVIDE_BY_8</ref><sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga9c16b928723eaf3260e47686624582f2">Cy_SysClk_ClkHfGetDivider</ref>(0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />HFCLK0<sp />divider<sp />to<sp />8<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gaade248ee5bfe97dbc0ae1629e7e46ed9">Cy_SysClk_ClkHfSetDivider</ref>(0UL,<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4ab24eafa784b1cc50c94072e6be0dd4b8">CY_SYSCLK_CLKHF_DIVIDE_BY_8</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />HFCLK0<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkHf0freq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gafa8c21271b8cb1b1fd9f7fb489a8d2b3">Cy_SysClk_ClkHfGetFrequency</ref>(0UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2384" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2380" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2139" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__hf__funcs_1gafa8c21271b8cb1b1fd9f7fb489a8d2b3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SysClk_ClkHfGetFrequency</definition>
        <argsstring>(uint32_t clkHf)</argsstring>
        <name>Cy_SysClk_ClkHfGetFrequency</name>
        <param>
          <type>uint32_t</type>
          <declname>clkHf</declname>
        </param>
        <briefdescription>
<para>Reports the frequency of the selected clkHf. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clkHf</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects the clkHf</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The frequency, in Hz.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The reported frequency may be zero, which indicates unknown. This happens if the source input is dsi_out or clk_altlf.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Set<sp />HFCLK0<sp />divider<sp />to<sp />8,<sp />to<sp />reduce<sp />frequency<sp />and<sp />save<sp />power<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4ab24eafa784b1cc50c94072e6be0dd4b8">CY_SYSCLK_CLKHF_DIVIDE_BY_8</ref><sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1ga9c16b928723eaf3260e47686624582f2">Cy_SysClk_ClkHfGetDivider</ref>(0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />HFCLK0<sp />divider<sp />to<sp />8<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gaade248ee5bfe97dbc0ae1629e7e46ed9">Cy_SysClk_ClkHfSetDivider</ref>(0UL,<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1ggadfbf0caf87af7cd757648124fb17d1d4ab24eafa784b1cc50c94072e6be0dd4b8">CY_SYSCLK_CLKHF_DIVIDE_BY_8</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />the<sp />HFCLK0<sp />frequency<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkHf0freq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__funcs_1gafa8c21271b8cb1b1fd9f7fb489a8d2b3">Cy_SysClk_ClkHfGetFrequency</ref>(0UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2160" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysclk.c" bodystart="2151" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2140" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>